Selection and Highlight in React TreeMap

07 Aug 202623 minutes to read

Selection

Selection is used to select a particular group or item to differentiate from other items. Each item or each group can be selected and deselected while interacting with the items. The corresponding Treemap items are also selected while tapping a specific legend item, and vice versa.

The fill property is used to change the selected item color. The color and the width properties are used to customize the selected item border, and the selection is enabled by using the enable property to true in the selectionSettings.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, LevelDirective, LevelsDirective, TreeMapSelection, Inject } from '@syncfusion/ej2-react-treemap';
export function App() {
  return ( <TreeMapComponent 
        dataSource={[
            { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
            { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
            { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
            { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
            { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
            { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
            { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
            { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
            { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
            { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
            { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
            { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
            { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
            { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
            { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
            { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
        ]}
        weightValuePath= 'sales'
        leafItemSettings= {{
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        }}
        selectionSettings= {{
            enable: true,
            fill: '#58a0d3',
            border: { width: 0.3, color: 'black' },
            opacity: '1'
        }}>
        <Inject services={[TreeMapSelection]} />
        <LevelsDirective>
            <LevelDirective groupPath='dataType' fill='#c5e2f7' headerStyle={{ size: '16px' }} headerAlignment='Center' groupGap={5} />
            <LevelDirective groupPath='product' fill='#a4d1f2' headerAlignment='Center' groupGap={2} />
        </LevelsDirective>
    </TreeMapComponent> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, LevelDirective, LevelsDirective, TreeMapSelection, Inject } from '@syncfusion/ej2-react-treemap';
export function App() {
  return ( <TreeMapComponent 
        dataSource={[
            { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
            { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
            { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
            { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
            { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
            { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
            { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
            { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
            { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
            { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
            { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
            { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
            { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
            { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
            { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
            { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
        ]}
        weightValuePath= 'sales'
        leafItemSettings= {{
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        }}
        selectionSettings= {{
            enable: true,
            fill: '#58a0d3',
            border: { width: 0.3, color: 'black' },
            opacity: '1'
        }}>
        <Inject services={[TreeMapSelection]} />
        <LevelsDirective>
            <LevelDirective groupPath='dataType' fill='#c5e2f7' headerStyle={{ size: '16px' }} headerAlignment='Center' groupGap={5} />
            <LevelDirective groupPath='product' fill='#a4d1f2' headerAlignment='Center' groupGap={2} />
        </LevelsDirective>
    </TreeMapComponent> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

Highlight

Highlight is used to highlight an item or group from other items or groups. Each item or each group can be highlighted by hovering the mouse over the items. The corresponding Treemap items are also be highlighted while hovering over a specific legend item, and vice versa.

The fill property is used to change the highlighted item color. The color and the width properties are used to customize the highlighted item border, and the highlight is enabled by setting the enable property to true in the highlightSettings.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, LevelDirective, LevelsDirective, TreeMapHighlight, Inject } from '@syncfusion/ej2-react-treemap';
export function App() {
  return ( <TreeMapComponent 
        dataSource={[
            { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
            { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
            { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
            { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
            { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
            { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
            { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
            { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
            { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
            { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
            { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
            { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
            { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
            { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
            { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
            { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
        ]}
        weightValuePath= 'sales'
        leafItemSettings= {{
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        }}
        highlightSettings= {{
           enable: true,
           fill: '#71b0dd',
           border: { width: 0.3, color: 'black' },
           opacity: '1'
        }}>
        <Inject services={[TreeMapHighlight]} />
        <LevelsDirective>
            <LevelDirective groupPath='dataType' fill='#c5e2f7' headerStyle={{ size: '16px' }} headerAlignment='Center' groupGap={5} />
            <LevelDirective groupPath='product' fill='#a4d1f2' headerAlignment='Center' groupGap={2} />
        </LevelsDirective>
    </TreeMapComponent> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { TreeMapComponent, LevelDirective, LevelsDirective, TreeMapHighlight, Inject } from '@syncfusion/ej2-react-treemap';
export function App() {
  return ( <TreeMapComponent 
        dataSource={[
            { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
            { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
            { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
            { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
            { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
            { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
            { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
            { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
            { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
            { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
            { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
            { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
            { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
            { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
            { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
            { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
        ]}
        weightValuePath= 'sales'
        leafItemSettings= {{
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        }}
        highlightSettings= {{
           enable: true,
           fill: '#71b0dd',
           border: { width: 0.3, color: 'black' },
           opacity: '1'
        }}>
        <Inject services={[TreeMapHighlight]} />
        <LevelsDirective>
            <LevelDirective groupPath='dataType' fill='#c5e2f7' headerStyle={{ size: '16px' }} headerAlignment='Center' groupGap={5} />
            <LevelDirective groupPath='product' fill='#a4d1f2' headerAlignment='Center' groupGap={2} />
        </LevelsDirective>
    </TreeMapComponent> );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

Selection and Highlight in Vue TreeMap

11 Aug 202620 minutes to read

Selection

Selection is used to select a particular group or item to differentiate from other items. Each item or each group can be selected and deselected while interacting with the items. The corresponding Treemap items are also selected while tapping a specific legend item, and vice versa.

The fill property is used to change the selected item color. The color and the width properties are used to customize the selected item border, and the selection is enabled by using the enable property to true in the selectionSettings.

<template>
    <div class="control_wrapper">
        <ejs-treemap id="treemap" :dataSource='dataSource' :levels='levels' :selectionSettings='selectionSettings' :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
    </div>
</template>
<script setup>

import { TreeMapComponent as EjsTreemap, TreeMapSelection } from "@syncfusion/ej2-vue-treemap";
import { provide } from 'vue';

const dataSource = [
    { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
    { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
    { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
    { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
    { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
    { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
    { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
    { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
    { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
    { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
    { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
    { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
    { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
    { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
    { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
    { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
];

const weightValuePath = 'sales';

const levels = [
    { groupPath: 'dataType', fill: '#c5e2f7', headerStyle: { size: '16px' }, headerAlignment: 'Center', groupGap: 5 },
    { groupPath: 'product', fill: '#a4d1f2', headerAlignment: 'Center' , groupGap: 2 }
];

const leafItemSettings = {
    labelPath: 'type',
    fill: '#8ebfe2',
    labelPosition: 'Center'
};

const selectionSettings = {
    enable: true,
    fill: '#58a0d3',
    border: { width: 0.3, color: 'black' },
    opacity: '1'
};

provide('treemap', [ TreeMapSelection]);

</script>
<template>
    <div class="control_wrapper">
        <ejs-treemap id="treemap" :dataSource='dataSource' :levels='levels' :selectionSettings='selectionSettings' :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
    </div>
</template>
<script>

import { TreeMapComponent, TreeMapSelection } from "@syncfusion/ej2-vue-treemap";

export default {
name: "App",
components: {
"ejs-treemap":TreeMapComponent,
},
  data: function() {
    return {
     dataSource: [
        { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
    { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
    { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
    { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
    { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
    { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
    { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
    { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
    { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
    { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
    { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
    { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
    { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
    { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
    { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
    { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
    ],
    weightValuePath: 'sales',
        levels: [
            { groupPath: 'dataType', fill: '#c5e2f7', headerStyle: { size: '16px' }, headerAlignment: 'Center', groupGap: 5 },
            { groupPath: 'product', fill: '#a4d1f2', headerAlignment: 'Center' , groupGap: 2 }
        ],
        leafItemSettings: {
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        },
        selectionSettings: {
            enable: true,
            fill: '#58a0d3',
            border: { width: 0.3, color: 'black' },
            opacity: '1'
        },
    }
  },
  provide:{
    treemap:[ TreeMapSelection]
},
}
</script>

Highlight

Highlight is used to highlight an item or group from other items or groups. Each item or each group can be highlighted by hovering the mouse over the items. The corresponding Treemap items are also be highlighted while hovering over a specific legend item, and vice versa.

The fill property is used to change the highlighted item color. The color and the width properties are used to customize the highlighted item border, and the highlight is enabled by setting the enable property to true in the highlightSettings.

<template>
    <div class="control_wrapper">
        <ejs-treemap id="treemap" :dataSource='dataSource' :levels='levels' :highlightSettings='highlightSettings' :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
    </div>
</template>
<script setup>

import { TreeMapComponent as EjsTreemap, TreeMapHighlight } from "@syncfusion/ej2-vue-treemap";
import { provide } from 'vue';

const dataSource = [
    { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
    { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
    { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
    { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
    { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
    { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
    { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
    { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
    { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
    { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
    { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
    { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
    { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
    { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
    { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
    { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
];

const weightValuePath = 'sales';

const levels = [
    { groupPath: 'dataType', fill: '#c5e2f7', headerStyle: { size: '16px' }, headerAlignment: 'Center', groupGap: 5 },
    { groupPath: 'product', fill: '#a4d1f2', headerAlignment: 'Center' , groupGap: 2 }
];

const leafItemSettings = {
    labelPath: 'type',
    fill: '#8ebfe2',
    labelPosition: 'Center'
};

const highlightSettings = {
    enable: true,
    fill: '#71b0dd',
    border: { width: 0.3, color: 'black' },
    opacity: '1'
};

provide('treemap', [TreeMapHighlight]);

</script>
<template>
    <div class="control_wrapper">
        <ejs-treemap id="treemap" :dataSource='dataSource' :levels='levels' :highlightSettings='highlightSettings' :weightValuePath='weightValuePath' :leafItemSettings='leafItemSettings'></ejs-treemap>
    </div>
</template>
<script>

import { TreeMapComponent, TreeMapHighlight } from "@syncfusion/ej2-vue-treemap";

export default {
name: "App",
components: {
"ejs-treemap":TreeMapComponent,
},
  data: function() {
    return {
     dataSource: [
        { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
    { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
    { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
    { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
    { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
    { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
    { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
    { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
    { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
    { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
    { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
    { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
    { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
    { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
    { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
    { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
    ],
   weightValuePath: 'sales',
        levels: [
            { groupPath: 'dataType', fill: '#c5e2f7', headerStyle: { size: '16px' }, headerAlignment: 'Center', groupGap: 5 },
            { groupPath: 'product', fill: '#a4d1f2', headerAlignment: 'Center' , groupGap: 2 }
        ],
        leafItemSettings: {
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        },
         highlightSettings: {
            enable: true,
            fill: '#71b0dd',
            border: { width: 0.3, color: 'black' },
            opacity: '1'
        }
    }
  },
  provide:{
    treemap:[TreeMapHighlight]
},
}
</script>

Selection and Highlight in Angular TreeMap

10 Aug 202611 minutes to read

Selection

Selection is used to select a particular group or item to differentiate from other items. Each item or each group can be selected and deselected while interacting with the items. The corresponding Treemap items are also selected while tapping a specific legend item, and vice versa.

The fill property is used to change the selected item color. The color and the width properties are used to customize the selected item border, and the selection is enabled by using the enable property to true in the selectionSettings.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-angular-treemap'



import { Component } from '@angular/core';

@Component({
imports: [
         TreeMapModule, TreeMapAllModule
    ],

providers: [TreeMapLegendService, TreeMapTooltipService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treemap id='container' style='display: block;'  [dataSource]='data' weightValuePath='sales'
    [leafItemSettings]='leafItemSettings' [selectionSettings]= 'selectionSettings' [levels]= 'levels'>
    </ejs-treemap>`
})
export class AppComponent {
    public data: object[] = [
    { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
    { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
    { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
    { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
    { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
    { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
    { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
    { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
    { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
    { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
    { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
    { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
    { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
    { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
    { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
    { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
    ];
    public levels: object[]= [
            { groupPath: 'dataType', fill: '#c5e2f7', headerStyle: { size: '16px' }, headerAlignment: 'Center', groupGap: 5 },
            { groupPath: 'product', fill: '#a4d1f2', headerAlignment: 'Center' , groupGap: 2 }
        ];
    public leafItemSettings: object= {
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        };
    public selectionSettings: object= {
            enable: true,
            fill: '#58a0d3',
            border: { width: 0.3, color: 'black' },
            opacity: '1'
        };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Highlight

Highlight is used to highlight an item or group from other items or groups. Each item or each group can be highlighted by hovering the mouse over the items. The corresponding Treemap items are also be highlighted while hovering over a specific legend item, and vice versa.

The fill property is used to change the highlighted item color. The color and the width properties are used to customize the highlighted item border, and the highlight is enabled by setting the enable property to true in the highlightSettings.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TreeMapModule, TreeMapLegendService, TreeMapTooltipService, TreeMapAllModule } from '@syncfusion/ej2-angular-treemap'



import { Component } from '@angular/core';

@Component({
imports: [
         TreeMapModule, TreeMapAllModule
    ],

providers: [TreeMapLegendService, TreeMapTooltipService],
standalone: true,
    selector: 'app-container',
    template: `<ejs-treemap id='container' style='display: block;'  [dataSource]='data' weightValuePath='sales'
    [leafItemSettings]='leafItemSettings' [highlightSettings]= 'highlightSettings' [levels]= 'levels'>
    </ejs-treemap>`
})
export class AppComponent {
    public data: object[] = [
    { dataType: "Import", type: "Animal products",   product: "2010", sales: 20839332874 },
    { dataType: "Import", type: "Animal products",   product: "2011", sales: 23098635589 },
    { dataType: "Import", type: "Chemical products", product: "2010", sales: 141637951510 },
    { dataType: "Import", type: "Chemical products", product: "2011", sales: 161550338209 },
    { dataType: "Import", type: "Base metals",       product: "2010", sales: 86079439944 },
    { dataType: "Import", type: "Base metals",       product: "2011", sales: 103821671535 },
    { dataType: "Import", type: "Textile articles",       product: "2010", sales: 97126140830 },
    { dataType: "Import", type: "Textile articles",       product: "2011", sales: 104980750811 },
    { dataType: "Export", type: "Animal products",   product: "2010", sales:  15845503378 },
    { dataType: "Export", type: "Animal products",   product: "2011", sales:  20650111620 },
    { dataType: "Export", type: "Chemical products", product: "2010", sales: 136100054087 },
    { dataType: "Export", type: "Chemical products", product: "2011", sales: 146341672411 },
    { dataType: "Export", type: "Base metals",       product: "2010", sales: 59060592813 },
    { dataType: "Export", type: "Base metals",       product: "2011", sales: 71785882641 },
    { dataType: "Export", type: "Textile articles",       product: "2010", sales: 20982380561 },
    { dataType: "Export", type: "Textile articles",       product: "2011", sales: 26016143783 }
    ];
    public levels: object[]= [
            { groupPath: 'dataType', fill: '#c5e2f7', headerStyle: { size: '16px' }, headerAlignment: 'Center', groupGap: 5 },
            { groupPath: 'product', fill: '#a4d1f2', headerAlignment: 'Center' , groupGap: 2 }
        ];
    public leafItemSettings: object= {
            labelPath: 'type',
            fill: '#8ebfe2',
            labelPosition: 'Center'
        };
    public highlightSettings: object= {
            enable: true,
            fill: '#71b0dd',
            border: { width: 0.3, color: 'black' },
            opacity: '1'
        };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));